<!--
title: Longhorn backups to S3
description: Configuration and operation
published: true
date: 2022-07-20T10:03:41.362Z
tags: 
editor: ckeditor
dateCreated: 2022-07-20T10:03:41.362Z
-->

<p>Longhorn can backup to AWS S3.</p>
<p>Instructions can be found <a href="https://longhorn.io/docs/1.3.0/snapshots-and-backups/backup-and-restore/set-backup-target/#set-up-aws-s3-backupstore">here.</a></p>
<p>Current backup target is <code>s3://backups.jointcyberrange.nl@eu-west-3/</code>.</p>
<p><br>A Kubernetes secret <code>aws-longhorn</code> is used.&nbsp;</p>
<pre><code class="language-plaintext">kubectl create secret generic aws-longhorn \
--from-literal=AWS_ACCESS_KEY_ID=&lt;XXX&gt; \
--from-literal=AWS_SECRET_ACCESS_KEY=&lt;xxx&gt; \
-n longhorn-system</code></pre>
